/******************************************************************************/
/*
                                  comment.h
*/
/******************************************************************************/

#ifndef INCLUDE_COMMENT_H
#define INCLUDE_COMMENT_H

#define COMMENT_LOCKED_RETRY_COUNT 15

/**************/
/* prototypes */
/**************/

int CommentGet (char*, int, int, int);
int CommentSubmit ();
int CommentSubmitVet (char*, char*, char*, char*);
char* CommentSubmitFind (char*);
void CommentModerate ();
int CommentRejectAgent (char*);
int CommentRejectString (char*, char*);
int CommentRejectTextLength (char*, char*);
int CommentRejectWord (char*, char*);
int CommentRejectWho (char*, char*);
void CommentTemplate (char*);

#endif /* INCLUDE_COMMENT_H */

/******************************************************************************/

